# oslo.versionedobjects

The oslo.versionedobjects library provides a generic versioned object model that is RPC-friendly, with inbuilt serialization, field typing, and remotable method calls. It can be used to define a data model within a project independent of external APIs or database schema for the purposes of providing upgrade compatibility across distributed services.

- Free software: Apache license

- Documentation: https://docs.openstack.org/oslo.versionedobjects/latest/

- Source: https://opendev.org/openstack/oslo.versionedobjects

- Bugs: https://bugs.launchpad.net/oslo.versionedobjects

## Contents

- Installation
- Using oslo.versionedobjects
  - Usage
  - Examples
  - CHANGES
- Configuration Options
  - oslo_versionedobjects
- API Reference
  - base
  - exception
  - fields
  - Fixture
- Contributing

## Release Notes

Read also the oslo.versionedobjects Release Notes.

## Indices and tables

- Index

- Module Index

- Search Page

this page last updated: 2026-01-20 21:23:13

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug